# Cuillionn Ni Aife, Formerly of the Scathach (Cuillionn Ni Aife, ehemals von den Scathach)

**Entity Type:** Specialist

## Properties
| Field | Value |
|-------|-------|
| Rarity | Legendary |
| Category | Military |
| Slot Type | Captain |
| Scope | Ship |

## Effects
| Effect Type | Target | Value | Scope |
|------------|--------|-------|-------|
| Denarii for sunken ships | Ship | +1.2K | Ship |
| Ship archers attack range | Ship | +30% | Ship |
| Movement speed | Ship | +10% | Ship |
| Damage slowdown | Ship | -50% | Ship |

## Boost Unlock
Could harbor a grudge. (Könnte einen Groll hegen.)

## Improves Buildings
- Ships

## Source
All traders
